Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.repastdemos.openmap
Class OpenMapAgentsSampleModel

    java.lang.Object
      uchicago.src.sim.engine.SimModelImpl
          uchicago.src.repastdemos.openmap.OpenMapAgentsSampleModel

All Implemented Interfaces:
  DescriptorContainer, SimEventProducer, SimModel

    public class OpenMapAgentsSampleModel

extends SimModelImpl

Author:
  Robert Najlis

Field Summary

Fields inherited from class uchicago.src.sim.engine.SimModelImpl
`descriptors, modelManipulator`

Constructor Summary
`OpenMapAgentsSampleModel()`

Method Summary
`void` | `begin()` Begins a simulation run.
`void` | `buildDisplay()`
`void` | `buildModel()`
`void` | `buildSchedule()`
`java.lang.String[]` | `getInitParam()` Gets the names of the initial model parameters to set.
`java.lang.String` | `getName()` Gets the name of the model/simulation.
`Schedule` | `getSchedule()` Gets the Schedule created by the model.
`static void` | `main(java.lang.String[] args)`
`void` | `reset()`
`void` | `setSchedule(Schedule schedule)`
`void` | `setup()` Prepares a model for a new run, typically by deallocating objects or setting them to some reasonable default.
`void` | `step()`

Methods inherited from class uchicago.src.sim.engine.SimModelImpl
`addPropertyListener, addSimEventListener, clearMediaProducers, clearPropertyListeners, fireBooleanPropertyEvent, fireEndSim, fireNumericPropertyEvent, fireObjectPropertyEvent, firePauseSim, fireSimEvent, fireStopSim, fireStringPropertyEvent, generateNewSeed, getController, getMediaProducers, getModelManipulator, getParameterDescriptors, getPropertiesValues, getRngSeed, getTickCount, pause, registerDisplaySurface, registerMediaProducer, removePropertyListener, removeSimEventListener, setController, setRngSeed, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenMapAgentsSampleModel

    public OpenMapAgentsSampleModel()

Method Detail

### main

    public static void main(java.lang.String[] args)

### step

    public void step()

### buildModel

    public void buildModel()

### buildSchedule

    public void buildSchedule()

### begin

    public void begin()

  Description copied from interface: `SimModel`
  Begins a simulation run. All initialization, building the model, diplay, etc. should take place here. This method is called whenever the start button (or the step button if the run has not yet begun) is clicked. If running in batch mode this is called to kick off a new simulation run.

### setup

    public void setup()

  Description copied from interface: `SimModel`
  Prepares a model for a new run, typically by deallocating objects or setting them to some reasonable default. Called whenever the setup button is clicked or if operating in batch mode whenever a single run has ended in preparation for the next. Also called when the model is first loaded.

### reset

    public void reset()

### buildDisplay

    public void buildDisplay()

### getSchedule

    public Schedule getSchedule()

  Description copied from interface: `SimModel`
  Gets the Schedule created by the model.

  Returns:
    the schedule created by the model

### getInitParam

    public java.lang.String[] getInitParam()

  Description copied from interface: `SimModel`
  Gets the names of the initial model parameters to set. These names must have get and set methods supplied by the model. For example, for the parameter maxAge, the model must have getMaxAge and setMaxAge methods.

  Returns:
    a String[] of the initial parameter names

### getName

    public java.lang.String getName()

  Description copied from interface: `SimModel`
  Gets the name of the model/simulation.

  Returns:
    the name of the model/simulation

### setSchedule

    public void setSchedule(Schedule schedule)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD